@import "fonts";
@import "colors";

body {
    font-family: iranSansWeb;
    direction: rtl;
}


@mixin gradient {
    background-image: linear-gradient($blue, $dark_blue);
}

@mixin transition($params) {
    transition: $params;
}

@mixin link_color($color) {
    a {
        color: $color;
        &:hover {
            color: $dark_blue;
            @include transition(color 0.4s);
        }
        &:active {
            color: $dark_blue;
        }
    }
}

.top_nav {
    @include link_color($harder_blue);
    font-size: 0.8rem;
}

a {
    &:hover {
        text-decoration: none;
    }
}
.nav-item {
    padding-left: 1rem;
}
.nav-item.active {
    font-family: iranSansWeb_Bold;
}

.banners {
    @include gradient();
    .col-lg-3 {
        left: 0;
        right: 0;
        padding-right: 0;
        padding-left: 0;
        margin-right: 0;
        margin-left: 0;
    }
}

.card {
    border-bottom: 4px solid $harder_blue;
}

.font_small {
    font-size: 0.7rem;
}

.font_medium {
    font-size: 2rem;
}

.font_meduim_2 {
    font-size: 0.9rem;
}

.card-footer {
    border: none;
}

.text_dark_blue {
    color: $dark_blue;
}

footer {
    font-family: iranSansWeb_Light;
    margin-top: 4rem;
    direction: rtl;
    background-color: $harder_blue;
    .border_white {
        border: 1.1px solid white;
        padding: 0.6rem;
        padding-top: 0.2rem;
        padding-bottom: 0.2rem;
        border-radius: 0.7rem;
    }
    .border_blue {
        @extend .border_white;
        border-color: $dark_blue;
    }
}

.btn_footer {
    padding: 1rem;
    padding-top: 0.3rem;
    padding-bottom: 0.3rem;
    border-radius: 0.7rem;
    color: #fff;
    background-color: rgba($color: $dark_blue, $alpha: 0.8);
    border-color: rgba($color: $dark_blue, $alpha: 0.8);
    &:hover {
        color: #fff;
        background-color: rgba($color: $dark_blue, $alpha: 1);
        border-color: rgba($color: $dark_blue, $alpha: 1);
    }
}

.border_circle {
    border: 1px solid rgb(104, 102, 102);
    border-radius: 20rem;
    padding: 0.5rem;
}

.top_nav_left {
    a {
        color: rgb(104, 102, 102);
        &:hover {
            color: black;
        }
    }
    font-size: 1rem;
}
header {
    direction: ltr;
}

.bg_news {
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;;
    background-image: url('../images/news_bg.svg');
}